# node环境配置
---
## 开发工具准备
- ###[node 6.0 及以上](/node.md#node)
- ###[android-studio(安卓打包环境)](/node.md#android)
## 软件安装
* #### [1.node安装及配置](id:node)
  **1.1.node官网下载对应版本**
  
  访问 [https://nodejs.org/en/download/](https://nodejs.org/en/download/)
  
   ![node下载](/picture/node.png)
   
   **1.2.安装node**
   
   参照地址 [http://www.runoob.com/nodejs/nodejs-install-setup.html](http://www.runoob.com/nodejs/nodejs-install-setup.html)
   
   ![检查环境](/picture/node-v.png)
   **1.3.检查node环境配置**
   
   设置NODE_PATH
   
   **1.4.检查npm是否安装**
   
   ![npm环境](/picture/npm-v.png)
   
   npm的使用请参参考 [http://www.runoob.com/nodejs/nodejs-npm.html](http://www.runoob.com/nodejs/nodejs-npm.html)
    
   **注:** *npm会从国外网站上下载资源，由于国内网络限制有些资源无法下载下来，我们采用淘宝的镜像解决此问题*
    
   #####运行 npm install -g cnpm registry=https://registry.npm.taobao.org
   此后的**npm**命令可以使用 **cnpm**代替
   
   **1.5.安装全局的ionic**
   
     在cmd窗口执行 npm install -g ionic@1.7.16
     
     安装完成后检查版本号
     
     ![ionic -v](/picture/ionic-v.png)
     
   **1.6.安装全局的gulp,bower,cordova**
   
   在cmd窗口执行 npm install -g gulp bower@1.8.0 cordova@6.2.0
   
   ![检查版本](/picture/gulp-bower-cordova.png)
   
   
   